#include <iostream>
#include "point.hpp"

Point::Point() : x(0), y(0), z(0)
{}

Point::Point(double x1, double y1) :
    x(x1), y(y1), z(0) 
{}

void Point::print()
{
   cout << "(" << x << "," << y << ")";
}

void Point::read(ifstream &if)
{
    in >> x >> y >> z;
}


void Point::save(ofstream &out)
{
    out << x << " " << y << " " 
        << z << endl;
}

double Point::get_x()
{
    return x;
}

