#include <iostream>
#include "stack.hpp"

using namespace std;

Stack::Stack() : top(0)
{
}

void Stack::push(int elem)
{
    if (top < 10) array[top++] = elem;
    else cerr << "Stack is full, push operation failed" << endl;
}

int Stack::pop()
{
    if (top > 0) return array[--top];
    else cerr << "Stack::pop() : is empty" << endl;          
}

int Stack::query()
{
    if (top > 0) return array[top-1];
    else cerr << "Stack::query() : is empty" << endl;
}

void Stack::print()
{
    int i;
    cout << "[";
    for (i=0; i<top; i++) cout << array[i] << ",";
    cout << "]" << endl;
}
