#include "queue.hpp"
#include <iostream>

using namespace std;

Queue::Queue() : head(0), tail(0), num(0)
{
}

void Queue::enqueue(int elem)
{
    if (num < 10) {
        array[head] = elem;
        head = (head + 1) % 10;
        num++;
    }
    else cerr << "Queue::enqueue() : queue is full" << endl;
}

int Queue::dequeue()
{
    int ret = 0;
    if (num > 0) {
        ret = array[tail];
        tail = (tail + 1) % 10;
        num--;
    }
    else cerr << "Queue::dequeue() : queue is empty" << endl;

    return ret;
}

void Queue::print()
{
    int i;
    cout << "[";
    for (i=0; i<num; i++) cout << array[(tail + i)%10] << ",";
    cout << "]" << endl;
}

